package com.zh.project0512.controller.wxApp;

import com.zh.project0512.model.dto.OperationRoleJurisdictionDTO;
import com.zh.project0512.model.dto.UserJurisdictionFBIDTO;
import com.zh.project0512.service.IUserJurisdictionService;
import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * 用户权限
 */
@Tag(name = "用户权限")
@RestController
@RequestMapping("/wxApp/userJurisdiction")
public class UserJurisdictionController {
    @Resource
    IUserJurisdictionService userJurisdictionService;

    /**
     * 操作角色权限
     * @param operationRoleJurisdictionDTO 操作用户权限DTO
     * @return 操作结果
     */
    @PostMapping("/operationRoleJurisdiction")
    public Result<String> operationRoleJurisdiction(@Validated @RequestBody OperationRoleJurisdictionDTO operationRoleJurisdictionDTO){
        if (userJurisdictionService.operationRoleJurisdiction(operationRoleJurisdictionDTO)){
            return Result.success("操作角色权限","操作成功");
        }else {
            throw new RuntimeException("操作失败");
        }
    }

    /**
     * 根据角色主键id查询角色权限信息//TODO 有问题
     * @param userJurisdictionFBIDTO 角色权限 FBI DTO
     * @return
     */
    @PostMapping("/findByRoleId")
    public Result<String> findByRoleId(@Validated @RequestBody UserJurisdictionFBIDTO userJurisdictionFBIDTO){
//        return Result.success(userJurisdictionService.findByRoleId(userJurisdictionFBIDTO));
        return null;
    }
}
