package com.zh.project0512.service;

import com.zh.project0512.model.dto.UserRoleInsertDTO;
import com.zh.project0512.model.dto.UserRoleListDTO;
import com.zh.project0512.model.dto.UserRoleUpdateDTO;
import com.zh.project0512.model.vo.UserRoleListVo;
import com.zh.project0512.utils.page.PageInfo;

public interface IUserRoleService {
    /**
     * 查询用户角色
     * @param userRoleListDTO 用户角色 list DTO
     * @return 用户角色
     */
    PageInfo<UserRoleListVo> list(UserRoleListDTO userRoleListDTO);

    /**
     * 添加用户角色
     * @param userRoleInsertDTO 用户角色添加 DTO
     * @return 操作结果
     */
    boolean insert(UserRoleInsertDTO userRoleInsertDTO);

    /**
     * 修改用户角色
     * @param userRoleUpdateDTO 用户角色 update DTO
     * @return 操作结果
     */
    boolean update(UserRoleUpdateDTO userRoleUpdateDTO);
}
