package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zh.project0512.mapper.UserRoleJurisdictionMapper;
import com.zh.project0512.model.UserRoleJurisdiction;
import com.zh.project0512.model.dto.OperationRoleJurisdictionDTO;
import com.zh.project0512.service.IUserJurisdictionService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Service
public class UserJurisdictionServiceImpl implements IUserJurisdictionService {
    @Resource
    UserRoleJurisdictionMapper userRoleJurisdictionMapper;

    @Override
    @Transactional
    public boolean operationRoleJurisdiction(OperationRoleJurisdictionDTO operationRoleJurisdictionDTO) {
        //先删除角色-权限关联表
        QueryWrapper<UserRoleJurisdiction> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("roleId",operationRoleJurisdictionDTO.getRoleId());
        userRoleJurisdictionMapper.delete(queryWrapper);

        //后添加角色-权限关联表
        int[] jurisdictionIds = operationRoleJurisdictionDTO.getJurisdictionIds();
        if (jurisdictionIds.length > 0){
            for (int jurisdictionId : jurisdictionIds) {
                UserRoleJurisdiction userRoleJurisdiction = new UserRoleJurisdiction();
                userRoleJurisdiction.setRoleId(operationRoleJurisdictionDTO.getRoleId());
                userRoleJurisdiction.setJurisdictionId(jurisdictionId);
                userRoleJurisdictionMapper.insert(userRoleJurisdiction);
            }
        }

        return true;
    }
}
